Name:           multiget
Version:        1.2.0
Release:        7%{?dist}
Summary:        An easy-to-use GUI file downloader

Group:          Applications/Internet
License:        GPLv2
URL:            http://multiget.sourceforge.net
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.src.tar.bz2
Source1:        multiget.desktop
Source2:        COPYING
# There is no symbol for multiget provided in 1.2.0 like it has been in 1.1.4
# so I decided to use the one from 1.1.4.
Source3:        MultiGet.png
Patch0:         multiget-1.2-fix-gcc43.patch
Patch1:         multiget-1.2-includes.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  wxGTK-devel desktop-file-utils >= 0.9 perl(XML::Parser) libglade2-devel automake >= 1.10

%description
MultiGet is an easy-to-use GUI file downloader. 
It's programmed in C++ and has a GUI based on wxWidgets. It supports HTTP/FTP 
protocols which covers the requirements of most users. It supports multi-task 
with multi-thread on multi-server. It supports resuming downloads if the Web 
server supports it, and if you like, you can reconfig the thread number without
stopping the current task. It's also support SOCKS 4,4a,5 proxy, ftp proxy, 
http proxy.

%prep
%setup -qn multiget
%patch0 -p1 -b .good
%patch1 -p1 -b .includes
chmod 644 icons/*.xpm

# fix dead symbolic links
rm -f INSTALL
ln -s %{_datadir}/automake-1.11/INSTALL INSTALL
rm -f install-sh 
ln -s %{_datadir}/automake-1.11/install-sh install-sh 
rm -f depcomp
ln -s %{_datadir}/automake-1.11/depcomp depcomp
rm -f missing
ln -s %{_datadir}/automake-1.11/missing missing
rm -f %{_builddir}/%{name}/COPYING
cp -p %{SOURCE2} %{_builddir}/%{name}/

chmod 644 icons/*.xpm
chmod 644 newicons/16/*.xpm
chmod 644 newicons/24/*.xpm
chmod 644 newicons/32/*.xpm
chmod 644 newicons/48/*.xpm


%build
%configure 
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications/
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps/
install -p -m 755 src/multiget $RPM_BUILD_ROOT/%{_bindir}
install -p -m 644 %{SOURCE3} $RPM_BUILD_ROOT%{_datadir}/pixmaps/
desktop-file-install --vendor=fedora \
  --dir=${RPM_BUILD_ROOT}%{_datadir}/applications %{SOURCE1}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc COPYING
%{_bindir}/multiget
%{_datadir}/applications/fedora-multiget.desktop
%{_datadir}/pixmaps/MultiGet.png

%changelog
* Fri Sep 11 2009 Milos Jakubicek <xjakub@fi.muni.cz> - 1.2.0-7
- Fix FTBFS: build with automake 1.11

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Mar 05 2009 Caolán McNamara <caolanm@redhat.com> - 1.2.0-5
- include cstdio for sprintf

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Jun 12 2008 Guido Ledermann <guido.ledermann@googlemail.com> - 1.2.0-3
- remove patch for Makefile.in, fixed spec to follow Packaging Guidelines
* Thu Jun 12 2008 Guido Ledermann <guido.ledermann@googlemail.com> - 1.2.0-2
- remove patch for Makefile and added patch for Makefile.ini, fixed spec
* Thu Jun 05 2008 Guido Ledermann <guido.ledermann@googlemail.com> - 1.2.0-1
- Fixed for 1.2.0 
* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.1.4-8
- Autorebuild for GCC 4.3
* Sun Mar 14 2007 Allisson Azevedo <allisson@gmail.com> 1.1.4-7
- Change patch
* Sun Mar 14 2007 Allisson Azevedo <allisson@gmail.com> 1.1.4-6
- Remove $RPM_OPT_FLAG from .spec
* Sun Mar 14 2007 Allisson Azevedo <allisson@gmail.com> 1.1.4-5
- Patch modified
* Sun Mar 12 2007 Allisson Azevedo <allisson@gmail.com> 1.1.4-4
- Fix .spec
* Sun Mar 12 2007 Allisson Azevedo <allisson@gmail.com> 1.1.4-3
- Include GPL license in doc
* Sun Mar 11 2007 Allisson Azevedo <allisson@gmail.com> 1.1.4-2
- Fix .spec in accordance with the suggestions
- Create patch for correct debuginfo package
* Sun Mar 11 2007 Allisson Azevedo <allisson@gmail.com> 1.1.4-1
- Initial RPM release
